From 9be854e8d2b4f0c8af6a5a66ad54da73e742379f Mon Sep 17 00:00:00 2001
From: Tim Daly <daly@axiom-developer.org>
Date: Tue, 6 Jan 2015 16:21:41 -0500
Subject: buglist: bug 7286: UPS arithmetic fails

a := series(z, z = 0)

   (1)  z
                       Type: UnivariatePuiseuxSeries(Expression(Integer),z,0)
(2) -> b := series(1, x = 0)

   (2)  1
                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
(3) -> a + b

   >> Error detected within library code:
   division by zero
---
 buglist                        |   18 +++++++++++++++++-
 changelog                      |    2 ++
 patch                          |   27 ++++++++++++---------------
 src/axiom-website/patches.html |    2 ++
 4 files changed, 33 insertions(+), 16 deletions(-)

diff --git a/buglist b/buglist
index 27694e0..8f734e3 100644
--- a/buglist
+++ b/buglist
@@ -1,6 +1,6 @@
 =========================================================================
 
-bug 7286: 
+bug 7287: 
 todo 337:
 wish 1012:
 meh 5:
@@ -12,6 +12,22 @@ dup 50006:
 nonextend 60077:
 
 =========================================================================
+bug 7286: UPS arithmetic fails
+
+a := series(z, z = 0)
+
+   (1)  z
+                       Type: UnivariatePuiseuxSeries(Expression(Integer),z,0)
+(2) -> b := series(1, x = 0)
+
+   (2)  1
+                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
+(3) -> a + b
+ 
+   >> Error detected within library code:
+   division by zero
+
+=========================================================================
 bug 7285: tracing of Kernel failed
 
 )trace Kernel )math
diff --git a/changelog b/changelog
index 404c0d3..d9bc527 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20150106 tpd src/axiom-website/patches.html 20150106.10.tpd.patch
+20150106 tpd buglist: bug 7286: UPS arithmetic fails
 20150106 tpd src/axiom-website/patches.html 20150106.09.tpd.patch
 20150106 tpd buglist: bug 7285: tracing of Kernel failed
 20150106 tpd src/axiom-website/patches.html 20150106.08.tpd.patch
diff --git a/patch b/patch
index 6e2b1f2..c3d9eec 100644
--- a/patch
+++ b/patch
@@ -1,18 +1,15 @@
-buglist: bug 7285: tracing of Kernel failed
+buglist: bug 7286: UPS arithmetic fails
 
-)trace Kernel )math
+a := series(z, z = 0)
+
+   (1)  z
+                       Type: UnivariatePuiseuxSeries(Expression(Integer),z,0)
+(2) -> b := series(1, x = 0)
+
+   (2)  1
+                       Type: UnivariatePuiseuxSeries(Expression(Integer),x,0)
+(3) -> a + b
  
-   Parameterized constructors traced:
-      KERNEL
-(22) -> sin(1)
-1<enter Kernel.kernel,30 : 
- arg1= pi
- arg2= []
- arg3= 1
- 1<enter Kernel.setPosition,26 : 
-  arg1= %pi
-  arg2= 1024
- 1>exit  Kernel.setPosition,26  
-   >> System error:
-   1024 is not of type CHARACTER.
+   >> Error detected within library code:
+   division by zero
 
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index be26503..cb2d3d4 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4914,6 +4914,8 @@ buglist: bug 7283: printing of typeOf failed<br/>
 buglist: bug 7284: printing of typeOf failed<br/>
 <a href="patches/20150106.09.tpd.patch">20150106.09.tpd.patch</a>
 buglist: bug 7285: tracing of Kernel failed<br/>
+<a href="patches/20150106.10.tpd.patch">20150106.10.tpd.patch</a>
+buglist: bug 7286: UPS arithmetic fails<br/>
  </body>
 </html>
 
-- 
1.7.5.4

